<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <title>Demos Berlin e.V.</title>
    <link rel="icon" type="image/x-icon" href="reveal.js/dist/theme/images/favicon.ico">

    <link rel="stylesheet" href="reveal.js/dist/reset.css">
    <link rel="stylesheet" href="reveal.js/dist/reveal.css">

    <!-- Theme used for slides -->
    <link rel="stylesheet" href="reveal.js/dist/theme/demos-dark.css">

    <!-- Theme used for syntax highlighting of code -->
    <link rel="stylesheet" href="reveal.js/plugin/highlight/monokai.css">
</head>
<body>
<div class="reveal">
    <div class="slides">
        <section data-background-image="reveal.js/dist/theme/images/BerlinWall.jpg">
            <div style="background-color: rgba(0,0,0,0.75);padding-left: 5px; padding-right: 5px; margin-left: 15%; margin-right: 15%;">
                <h3 style="text-align: left; color: white; margin: 0">Demos Berlin e.V.</h3>
                <h5 style="text-align: right; color: white">Subtitle</h5>
            </div>
        </section>


        <section data-markdown>
            <textarea data-template>
                ### Demos Berlin E.V. reveal.js Presentation Template
            </textarea>
        </section>
        <section data-markdown>
            <textarea data-template>
                [Project Source Code](https://gitlab.com:demos-berlin-ev/presentations/reveal.js-corporate-design)
            </textarea>
        </section>
        <section data-markdown>
	        <textarea data-template>
                ### INFO

                * press 'S' for speaker notes (allow pop-ups)
                * press 'ESC' for overview mode
                * press 'CTRL'/'ALT'/'CMD' + 'left click' to zoom
            </textarea>
        </section>
        <section data-markdown>
	        <textarea data-template>
                ### INFO

                for a basic understanding of reveal.js

                ![rtfm](images/rtfm.png "rtfm")
            </textarea>
        </section>
        <section data-markdown>
	        <textarea data-template>
                ### advantages

                * sharable
                * maintainable
                * modern design
                * collaborative creation
                * responsive
            </textarea>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    reveal uses a concept of vertical and horizontal slides.
                    Vertical slides form a group.
                    The basic concept is: progress to the right and dig deeper into a topic downwards

                    press the "down arrow"
                </textarea>
            </section>
            <section data-markdown>
                <textarea data-template>
                    press the "up arrow"
                </textarea>
            </section>
        </section>
        <section data-markdown>
	        <textarea data-template>
                You can write the slides either in HTML or in Markdown.
                While Markdown is easier to write, HTML offers more and more complex design capabilities.

                The following examples will have both examples.

                The upper one is Markdown, the slide below HTML.
            </textarea>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    text
                    **bold text**
                    *italic text*

                    new paragraph
                </textarea>
            </section>
            <section>
                text
                <b>bold text</b>
                <i>italic text</i>

                <p>new paragraph</p>
            </section>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    # Heading1
                    ## Heading2
                    ### Heading3
                    #### Heading4
                    ##### Heading5
                    ###### Heading6
                </textarea>
            </section>
            <section>
                <h1>Heading1</h1>
                <h2>Heading2</h2>
                <h3>Heading3</h3>
                <h4>Heading4</h4>
                <h5>Heading5</h5>
                <h6>Heading6</h6>
            </section>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    [links](https://demonstrations.org)
                </textarea>
            </section>
            <section>
                <a href="https://demonstrations.org">links</a>
            </section>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    images

                    ![](images/save_time.png)
                </textarea>
            </section>
            <section>
                <p>images</p>

                <img src="images/save_time.png">
            </section>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    ordered list

                    1. stones
                    2. rocks
                    3. sand
                </textarea>
            </section>
            <section>
                <p>ordered list</p>

                <ol>
                    <li>stones</li>
                    <li>rocks</li>
                    <li>sand</li>
                </ol>
            </section>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    unordered list

                    * stones
                    * rocks
                    * sand
                </textarea>
            </section>
            <section>
                <p>unordered list</p>

                <ul>
                    <li>stones</li>
                    <li>rocks</li>
                    <li>sand</li>
                </ul>
            </section>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    fragments

                    (go down or right)

                    Fade in <!-- .element: class="fragment" -->

                    Fade out <!-- .element: class="fragment fade-out" -->

                    Highlight red <!-- .element: class="fragment highlight-red" -->

                    Fade in, then out <!-- .element: class="fragment fade-in-then-out" -->

                    Slide up while fading in <!-- .element: class="fragment fade-up" -->
                </textarea>
            </section>
            <section>
                <p>fragments</p>
                <p>go down or right</p>

                <p class="fragment">Fade in</p>
                <p class="fragment fade-out">Fade out</p>
                <p class="fragment highlight-red">Highlight red</p>
                <p class="fragment fade-in-then-out">Fade in, then out</p>
                <p class="fragment fade-up">Slide up while fading in</p>
            </section>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    multi column list

                    > only available in html so far
                </textarea>
            </section>
            <section>
                <p>multi column list</p>
                <div class='multiCol'>
                    <div class='col'>
                        <ol>
                            <h6>liquids</h6>
                            <small>
                                <li>water</li>
                                <li>oil</li>
                            </small>
                        </ol>
                    </div>
                    <div class='col'>
                        <ol start="3">
                            <h6>solids</h6>
                            <small>
                                <li>stone</li>
                                <li>rock</li>
                                <li>sand</li>
                            </small>
                        </ol>
                    </div>
                    <div class='col'>
                        <ol>
                            <h6>gases</h6>
                            <small>
                                <li>oxygen</li>
                            </small>
                        </ol>
                    </div>
                </div>
            </section>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    speaker notes

                    (press 's')

                    <aside class="notes" data-markdown>
                        * here you can write notes in markdown
                        * it works as the slides itself
	                </aside>
                </textarea>
            </section>
            <section>
                <p>speaker notes</p>
                <p>(press 's')</p>

                <aside class="notes" data-markdown>
                    * here you can write notes in markdown
                    * it works as the slides itself
                </aside>
            </section>
        </section>
        <section data-markdown>
            <textarea data-template>
                ### Notes

                * reveal auto formats a lot things for you
                * multiple images per page are possible but hard to format
                * complex visuals are only achievable in html
                    * but it ain't easy
            </textarea>
        </section>
        <section data-markdown>
            <textarea data-template>
                ### other examples

                * [TBD](https://demosntrations.org)
                * [TBD](https://demosntrations.org)
            </textarea>
        </section>
    </div>
</div>

<script src="reveal.js/dist/reveal.js"></script>
<script src="reveal.js/plugin/zoom/zoom.js"></script>
<script src="reveal.js/plugin/notes/notes.js"></script>
<script src="reveal.js/plugin/search/search.js"></script>
<script src="reveal.js/plugin/markdown/markdown.js"></script>
<script src="reveal.js/plugin/highlight/highlight.js"></script>
<script>

    // Also available as an ES module, see:
    // https://revealjs.com/initialization/
    Reveal.initialize({
        controls: true,
        progress: true,
        center: true,
        hash: true,
        fragments: true,
        slideNumber: 'c/t',
        width: '60%',
        markdown:
            {
                smartypants: true
            },

        // Learn about plugins: https://revealjs.com/plugins/
        plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
    });

</script>
</body>
</html>

